Subject: Bug#885698: What licenses should be included in /usr/share/common-licenses?

From: Russ Allbery <[email-masked]>
Date: Sat, 09 Sep 2023 22:41:48 -0700

Hideki Yamane <[email-masked]> writes:
> Russ Allbery <[email-masked]> wrote:

>>     Licenses will be included in common-licenses if they meet all of the
>>     following criteria:

>  How about just pointing SPDX licenses URL for whole license text and
>  lists DFSG-free licenses from that? (but yes, we should adjust short
>  name of licenses for DEP-5 and SPDX for it).

Can we do this legally?  If we can, it certainly has substantial merits,
but I'm not sure that this satisfies the requirement in a lot of licenses
to distribute a copy of the license along with the work.  Some licenses
may allow that to be provided as a URL, but I don't think they all do
(which makes sense since people may receive Debian on physical media and
not have Internet access).

-- 
Russ Allbery ([email-masked])              <https://www.eyrie.org/~eagle/>